package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TarmtramiteDTO implements Serializable {

    private static final long serialVersionUID = 474622596870062L;

    private Long ctramite;

    private Integer costo;

    private String registroguardia;

    private String registroarmas;

    private String registroagenciasucursal;

    private String requiereevaluacion;

    private String requiereinspeccion;

    private String documentohabilitante;

    private Integer recordversion;

    private String cabecera;

    private String pie;

    private Integer costocustodio;

    private Integer multa;

    private String reimpresion;

    private Integer numeromaxarmas;

    private String estados;

    private String logo;

    private String tipopersona;

    private String tipopersonacode;

    private String sancionable;

    private String estadofinarma;

    private String clase;

    private Long ctramitepadrealt;

    private String validacaducidadpadre;

    private String validacaducidadpadrealt;

    private String validafechaexpiracion;

    private String visualizarporfechaexpiracion;

    private String jurisdiccion;

    private String jurisdiccioncode;

    private String tipofabricacion;

    private Integer ctramitepadre;

    private Integer tgenecatalogdetail;

    private Integer tgenecatalogdetail1;

    private Integer tgenecatalogdetail2;

    private Integer tgenecatalogdetail3;

    private Integer tgenecatalogdetail4;

    private Integer tgenecatalogdetail5;

    private Integer tgenecatalogdetail6;

    private Integer tgenecatalogdetail7;

        public Long getCtramite() {
    return ctramite;
    }

        public void setCtramite(Long ctramite) {
    this.ctramite = ctramite;
    }

        public Integer getCosto() {
    return costo;
    }

        public void setCosto(Integer costo) {
    this.costo = costo;
    }

        public String getRegistroguardia() {
    return registroguardia;
    }

        public void setRegistroguardia(String registroguardia) {
    this.registroguardia = registroguardia;
    }

        public String getRegistroarmas() {
    return registroarmas;
    }

        public void setRegistroarmas(String registroarmas) {
    this.registroarmas = registroarmas;
    }

        public String getRegistroagenciasucursal() {
    return registroagenciasucursal;
    }

        public void setRegistroagenciasucursal(String registroagenciasucursal) {
    this.registroagenciasucursal = registroagenciasucursal;
    }

        public String getRequiereevaluacion() {
    return requiereevaluacion;
    }

        public void setRequiereevaluacion(String requiereevaluacion) {
    this.requiereevaluacion = requiereevaluacion;
    }

        public String getRequiereinspeccion() {
    return requiereinspeccion;
    }

        public void setRequiereinspeccion(String requiereinspeccion) {
    this.requiereinspeccion = requiereinspeccion;
    }

        public String getDocumentohabilitante() {
    return documentohabilitante;
    }

        public void setDocumentohabilitante(String documentohabilitante) {
    this.documentohabilitante = documentohabilitante;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getCabecera() {
    return cabecera;
    }

        public void setCabecera(String cabecera) {
    this.cabecera = cabecera;
    }

        public String getPie() {
    return pie;
    }

        public void setPie(String pie) {
    this.pie = pie;
    }

        public Integer getCostocustodio() {
    return costocustodio;
    }

        public void setCostocustodio(Integer costocustodio) {
    this.costocustodio = costocustodio;
    }

        public Integer getMulta() {
    return multa;
    }

        public void setMulta(Integer multa) {
    this.multa = multa;
    }

        public String getReimpresion() {
    return reimpresion;
    }

        public void setReimpresion(String reimpresion) {
    this.reimpresion = reimpresion;
    }

        public Integer getNumeromaxarmas() {
    return numeromaxarmas;
    }

        public void setNumeromaxarmas(Integer numeromaxarmas) {
    this.numeromaxarmas = numeromaxarmas;
    }

        public String getEstados() {
    return estados;
    }

        public void setEstados(String estados) {
    this.estados = estados;
    }

        public String getLogo() {
    return logo;
    }

        public void setLogo(String logo) {
    this.logo = logo;
    }

        public String getTipopersona() {
    return tipopersona;
    }

        public void setTipopersona(String tipopersona) {
    this.tipopersona = tipopersona;
    }

        public String getTipopersonacode() {
    return tipopersonacode;
    }

        public void setTipopersonacode(String tipopersonacode) {
    this.tipopersonacode = tipopersonacode;
    }

        public String getSancionable() {
    return sancionable;
    }

        public void setSancionable(String sancionable) {
    this.sancionable = sancionable;
    }

        public String getEstadofinarma() {
    return estadofinarma;
    }

        public void setEstadofinarma(String estadofinarma) {
    this.estadofinarma = estadofinarma;
    }

        public String getClase() {
    return clase;
    }

        public void setClase(String clase) {
    this.clase = clase;
    }

        public Long getCtramitepadrealt() {
    return ctramitepadrealt;
    }

        public void setCtramitepadrealt(Long ctramitepadrealt) {
    this.ctramitepadrealt = ctramitepadrealt;
    }

        public String getValidacaducidadpadre() {
    return validacaducidadpadre;
    }

        public void setValidacaducidadpadre(String validacaducidadpadre) {
    this.validacaducidadpadre = validacaducidadpadre;
    }

        public String getValidacaducidadpadrealt() {
    return validacaducidadpadrealt;
    }

        public void setValidacaducidadpadrealt(String validacaducidadpadrealt) {
    this.validacaducidadpadrealt = validacaducidadpadrealt;
    }

        public String getValidafechaexpiracion() {
    return validafechaexpiracion;
    }

        public void setValidafechaexpiracion(String validafechaexpiracion) {
    this.validafechaexpiracion = validafechaexpiracion;
    }

        public String getVisualizarporfechaexpiracion() {
    return visualizarporfechaexpiracion;
    }

        public void setVisualizarporfechaexpiracion(String visualizarporfechaexpiracion) {
    this.visualizarporfechaexpiracion = visualizarporfechaexpiracion;
    }

        public String getJurisdiccion() {
    return jurisdiccion;
    }

        public void setJurisdiccion(String jurisdiccion) {
    this.jurisdiccion = jurisdiccion;
    }

        public String getJurisdiccioncode() {
    return jurisdiccioncode;
    }

        public void setJurisdiccioncode(String jurisdiccioncode) {
    this.jurisdiccioncode = jurisdiccioncode;
    }

        public String getTipofabricacion() {
    return tipofabricacion;
    }

        public void setTipofabricacion(String tipofabricacion) {
    this.tipofabricacion = tipofabricacion;
    }

        public Integer getCtramitepadre() {
    return ctramitepadre;
    }

        public void setCtramitepadre(Integer ctramitepadre) {
    this.ctramitepadre = ctramitepadre;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTgenecatalogdetail1() {
    return tgenecatalogdetail1;
    }

        public void setTgenecatalogdetail1(Integer tgenecatalogdetail1) {
    this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

        public Integer getTgenecatalogdetail2() {
    return tgenecatalogdetail2;
    }

        public void setTgenecatalogdetail2(Integer tgenecatalogdetail2) {
    this.tgenecatalogdetail2 = tgenecatalogdetail2;
    }

        public Integer getTgenecatalogdetail3() {
    return tgenecatalogdetail3;
    }

        public void setTgenecatalogdetail3(Integer tgenecatalogdetail3) {
    this.tgenecatalogdetail3 = tgenecatalogdetail3;
    }

        public Integer getTgenecatalogdetail4() {
    return tgenecatalogdetail4;
    }

        public void setTgenecatalogdetail4(Integer tgenecatalogdetail4) {
    this.tgenecatalogdetail4 = tgenecatalogdetail4;
    }

        public Integer getTgenecatalogdetail5() {
    return tgenecatalogdetail5;
    }

        public void setTgenecatalogdetail5(Integer tgenecatalogdetail5) {
    this.tgenecatalogdetail5 = tgenecatalogdetail5;
    }

        public Integer getTgenecatalogdetail6() {
    return tgenecatalogdetail6;
    }

        public void setTgenecatalogdetail6(Integer tgenecatalogdetail6) {
    this.tgenecatalogdetail6 = tgenecatalogdetail6;
    }

        public Integer getTgenecatalogdetail7() {
    return tgenecatalogdetail7;
    }

        public void setTgenecatalogdetail7(Integer tgenecatalogdetail7) {
    this.tgenecatalogdetail7 = tgenecatalogdetail7;
    }

}